GStreamer Plugins 0.8.4
Posted on: 08/31/2004 04:35 PM

GStreamer Plugins 0.8.4 are now available

The 0.8.x series is a stable series aimed at end users. It is not API or ABI compatible with the stable 0.6.x series. It is, however, parallel installable with the 0.6.x series.

This module contains plugins providing media encoding and decoding, conversion, effects, and other elements that provide actual media handling functionality to the core. You need the GStreamer core module to make them work. The versions do not need to match exactly, as long as all of them are in the 0.8.x series.

The FFmpeg-based decoder element has been moved to its own module. If you want support for a lot of popular video formats, you need to install this module along with the GStreamer Core and Plugins. An FFmpeg-based colorspace element has been added to the Plugins however.

Features of this release
* Parallel installability with 0.6.x series
* Internationalization
* New translation in this release: Albanian
* Translations: af az cs en_GB hu nl sq sr sv uk
* licensing corrections
* fixes for compiling with G_DISABLE_ASSERT
* pixel aspect ratio conversion fixes
* tcpserversink fixes and additions
* multifdsink can use poll now as well
* interleave fixes
* audioscale fixes
* videotestsrc fixes
* v4lsrc fixes
* theoradec, theoraenc fixes
* lame fixes
* flac fixes
* ximagesink, xvimagesink fixes
* sunaudio fixes

Download
Homepage


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/gstreamer_plugins_084.html)